Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2c.webflow
Class CommercePipelineComponentSupport

    java.lang.Object
      |
      +--examples.e2e.b2c.webflow.CommercePipelineComponentSupport

public abstract class CommercePipelineComponentSupport
extends java.lang.Object
implements PipelineComponent

This class provides additional support over implementing PipelineComponent directly.

Field Summary
`static com.bea.p13n.i18n.PipelineExceptionTextFormatter` | `exFmt` Exception message formatter class, conforming to WLS logger API

Constructor Summary
`CommercePipelineComponentSupport()`

Method Summary
`java.sql.Connection` | `getConnection()`
`javax.sql.DataSource` | `getDataSource()`
`java.lang.Object` | `getRequestAttribute(java.lang.String key, java.lang.String namespace, java.lang.Object reqContext, PipelineSession pSession)` Get request scoped attributes from the pipeline session
`java.lang.Object` | `getSessionAttribute(java.lang.String key, java.lang.String namespace, PipelineSession pSession)` Get session scoped attributes from the pipeline session
`void` | `setRequestAttribute(java.lang.String key, java.lang.Object obj, java.lang.String namespace, java.lang.Object reqContext, PipelineSession pSession)` Set request scoped attributes in the pipeline session
`void` | `setSessionAttribute(java.lang.String key, java.lang.Object obj, java.lang.String namespace, PipelineSession pSession)` Set session scoped attributes in the pipeline session

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exFmt

    public static final com.bea.p13n.i18n.PipelineExceptionTextFormatter exFmt

  Exception message formatter class, conforming to WLS logger API

Constructor Detail

### CommercePipelineComponentSupport

    public CommercePipelineComponentSupport()

Method Detail

### getRequestAttribute

    public java.lang.Object getRequestAttribute(java.lang.String key,
                                                java.lang.String namespace,
                                                java.lang.Object reqContext,
                                                PipelineSession pSession)
                                         throws PipelineException

  Get request scoped attributes from the pipeline session

### setRequestAttribute

    public void setRequestAttribute(java.lang.String key,
                                    java.lang.Object obj,
                                    java.lang.String namespace,
                                    java.lang.Object reqContext,
                                    PipelineSession pSession)
                             throws PipelineException

  Set request scoped attributes in the pipeline session

### getSessionAttribute

    public java.lang.Object getSessionAttribute(java.lang.String key,
                                                java.lang.String namespace,
                                                PipelineSession pSession)
                                         throws PipelineException

  Get session scoped attributes from the pipeline session

### setSessionAttribute

    public void setSessionAttribute(java.lang.String key,
                                    java.lang.Object obj,
                                    java.lang.String namespace,
                                    PipelineSession pSession)
                             throws PipelineException

  Set session scoped attributes in the pipeline session

### getConnection

    public java.sql.Connection getConnection()
                                      throws SystemException

### getDataSource

    public javax.sql.DataSource getDataSource()
                                       throws SystemException,
                                              PipelineException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved